Create client users
curl --request POST \
--url https://api.gcore.com/iam/clients/{clientId}/client-users/create \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "jsmith@example.com",
"password": "<string>",
"user_role": {
"user_role": {
"id": 1,
"name": "Administrators"
}
},
"name": "<string>"
}
'import requests
url = "https://api.gcore.com/iam/clients/{clientId}/client-users/create"
payload = {
"username": "jsmith@example.com",
"password": "<string>",
"user_role": { "user_role": {
"id": 1,
"name": "Administrators"
} },
"name": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: 'jsmith@example.com',
password: '<string>',
user_role: {user_role: {id: 1, name: 'Administrators'}},
name: '<string>'
})
};
fetch('https://api.gcore.com/iam/clients/{clientId}/client-users/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"username": "jsmith@example.com",
"user_role": {
"user_role": {
"id": 1,
"name": "Administrators"
}
}
}{
"errors": {}
}Users
Create client users
Create client users, this endpoint is enabled for each reseller manually by request
POST
/
iam
/
clients
/
{clientId}
/
client-users
/
create
Create client users
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Client ID.
Body
application/json
Was this page helpful?
⌘I